Subject: Re: linux-next: Tree for Oct 5 (warnings: a. trace; b. mm/migrate)

From: Randy Dunlap <[email-masked]>
Date: Wed, 6 Oct 2021 09:33:25 -0700

On 10/6/21 7:52 AM, Dave Hansen wrote:
> On 10/5/21 1:46 PM, Randy Dunlap wrote:
>> On 10/5/21 1:06 AM, Stephen Rothwell wrote:
>>> Hi all,
>>>
>>> Changes since 20211001:
>>
>> on x86_64:
> ...
>> b. randconfig: KCONFIG_SEED=0xFD1CE406
>>
>> ../mm/migrate.c:3216:22: error: 'migrate_on_reclaim_callback' defined
>> but not used [-Werror=unused-function]
>>   static int __meminit migrate_on_reclaim_callback(struct notifier_block
>> *self,
>>                        ^~~~~~~~~~~~~~~~~~~~~~~~~~~
>> ../mm/migrate.c:3197:13: error: 'set_migration_target_nodes' defined but
>> not used [-Werror=unused-function]
>>   static void set_migration_target_nodes(void)
>>               ^~~~~~~~~~~~~~~~~~~~~~~~~~
>>
>>
>> (example usage to get the randconfig files:
>> KCONFIG_SEED=0xBFBEA13C make [ARCH=x86_64] randconfig
>> )
> 
> Hi Randy,
> 
> I'm having a heck of a time reproducing this one.  Any chance you could
> share an exact sha1 for the tree where you're hitting this, and maybe
> even the actual .config (just in case the KCONFIG_SEED isn't working
> somehow).
> 
> I've tried a few linux-next trees as well as the mmotm, mmots and
> mainline with the culprit patch applied.  No luck reproducing this so far.
> 

Hi Dave,

This is just whatever is in linux-next-20211005, which looks like:

commit 29616f67fcbd (HEAD, tag: next-20211005, origin/master, origin/HEAD)
Author: Stephen Rothwell <[email-masked]>
Date:   Tue Oct 5 19:00:37 2021 +1100

     Add linux-next specific files for 20211005
     
     Signed-off-by: Stephen Rothwell <[email-masked]>

I have 2 randconfig files that show this build warning.
One of them is attached.

-- 
~Randy